
public class WrapperClasses {

	public static void main(String[] args) {

		// automatic casting
		int num = 9;
		Integer inum = num;
		num = inum;

		// cross-type casting/conversion
		String snum = "123";
		System.out.println(snum + snum);

		num = Integer.parseInt(snum);
		System.out.println(num + num);
	}

}
